XFcBtHostEntry class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcBtHostEntry Class Reference

Used to create bluetooth host entry. More...

Inheritance diagram for XFcBtHostEntry:

[legend]
Collaboration diagram for XFcBtHostEntry:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcBtHostEntry ()
| Virtual destructor.

## Static Public Member Functions

XFCIMPORT XFcBtHostEntry * | create ()
| Creates XFcBtHostEntry object.
XFCIMPORT XFcBtHostEntry * | create (const XFcAddress &aAddress)
| Creates XFcBtHostEntry object.
XFCIMPORT XFcBtHostEntry * | create (const XFcName &aName)
| Creates XFcBtHostEntry object.
XFCIMPORT XFcBtHostEntry * | create (const XFcAddress &aAddress, const XFcName &aName)
| Creates XFcBtHostEntry object.
XFCIMPORT XFcBtHostEntry * | create (const XFcHostEntry &aHostEntry)
| Creates XFcBtHostEntry object.

## Protected Member Functions

| XFcBtHostEntry ()
| Protected constructor.
INT | init ()
| Initializes XFcBtHostEntry.
INT | init (const XFcAddress &aAddress)
| Initializes XFcBtHostEntry.
INT | init (const XFcName &aName)
| Initializes XFcBtHostEntry.
INT | init (const XFcAddress &aAddress, const XFcName &aName)
| Initializes XFcBtHostEntry.
INT | init (const XFcHostEntry &aHostEntry)
| Initializes XFcBtHostEntry.

## Detailed Description

Used to create bluetooth host entry.

Host entry holds address and name data.

## Constructor & Destructor Documentation

XFcBtHostEntry::XFcBtHostEntry | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFCIMPORT XFcBtHostEntry::~XFcBtHostEntry | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

XFCIMPORT XFcBtHostEntry* XFcBtHostEntry::create | ( | const XFcHostEntry & | aHostEntry | ) | `[static]`

Creates XFcBtHostEntry object.

Parameters:

  aHostEntry | bluetooth host address.

XFCIMPORT XFcBtHostEntry* XFcBtHostEntry::create | ( | const XFcAddress & | aAddress,
|  | const XFcName & | aName
| ) | `[static]`

Creates XFcBtHostEntry object.

Parameters:

  aAddress | bluetooth address.
  aName | device name.

XFCIMPORT XFcBtHostEntry* XFcBtHostEntry::create | ( | const XFcName & | aName | ) | `[static]`

Creates XFcBtHostEntry object.

Parameters:

  aName | device name.

XFCIMPORT XFcBtHostEntry* XFcBtHostEntry::create | ( | const XFcAddress & | aAddress | ) | `[static]`

Creates XFcBtHostEntry object.

Parameters:

  aAddress | bluetooth address.

XFCIMPORT XFcBtHostEntry* XFcBtHostEntry::create | ( |  | ) | `[static]`

| Creates XFcBtHostEntry object.

INT XFcBtHostEntry::init | ( | const XFcHostEntry & | aHostEntry | ) | `[protected]`

Initializes XFcBtHostEntry.

Parameters:

  aHostEntry | devices host entry.

INT XFcBtHostEntry::init | ( | const XFcAddress & | aAddress,
|  | const XFcName & | aName
| ) | `[protected]`

Initializes XFcBtHostEntry.

Parameters:

  aAddress | bluetooth address.
  aName | device name.

INT XFcBtHostEntry::init | ( | const XFcName & | aName | ) | `[protected]`

Initializes XFcBtHostEntry.

Parameters:

  aName | device name.

INT XFcBtHostEntry::init | ( | const XFcAddress & | aAddress | ) | `[protected]`

Initializes XFcBtHostEntry.

Parameters:

  aAddress | bluetooth address.

INT XFcBtHostEntry::init | ( |  | ) | `[protected]`

| Initializes XFcBtHostEntry.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch